## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/locales

### Try it

### Create a Locale

#### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/locales \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "English",
  "primary": true,
  "nluLanguage": "en-US",
  "fallbackLocaleReference": "<string>",
  "projectId": "<string>"
}
'  
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/locales"

payload = {
    "name": "English",
    "primary": True,
    "nluLanguage": "en-US",
    "fallbackLocaleReference": "<string>",
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'English',
    primary: true,
    nluLanguage: 'en-US',
    fallbackLocaleReference: '<string>',
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/locales', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'English',
    'primary' => true,
    'nluLanguage' => 'en-US',
    'fallbackLocaleReference' => '<string>',
    'projectId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Response

201

application/json

Returns Locale metadata object.

```json
{
  "name": "English",
  "primary": true,
  "nluLanguage": "en-US",
  "fallbackLocaleReference": "<string>",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```
